twitter4j

## Class FilterQuery

- java.lang.Object
- - twitter4j.FilterQuery

All Implemented Interfaces:
  java.io.Serializable

    public final class FilterQuery
    extends java.lang.Object
    implements java.io.Serializable

Since:
  Twitter4J 2.1.2
Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FilterQuery()` Creates a new FilterQuery
`FilterQuery(int count, long... follow)` Creates a new FilterQuery
`FilterQuery(int count, long[] follow, java.lang.String[] track)` Creates a new FilterQuery
`FilterQuery(int count, long[] follow, java.lang.String[] track, double[][] locations)` Creates a new FilterQuery
`FilterQuery(int count, long[] follow, java.lang.String[] track, double[][] locations, java.lang.String[] language)` Creates a new FilterQuery
`FilterQuery(long... follow)` Creates a new FilterQuery
`FilterQuery(java.lang.String... track)` Creates a new FilterQuery

### Method Summary

All Methods Instance Methods Concrete Methods
`FilterQuery` `count(int count)` Sets count
`boolean` `equals(java.lang.Object o)`
`FilterQuery` `filterLevel(java.lang.String filterLevel)` The filter level limits what tweets appear in the stream to those with a minimum filter_level attribute value.
`FilterQuery` `follow(long... follow)` Sets follow
`int` `hashCode()`
`FilterQuery` `language(java.lang.String... language)` Sets language
`FilterQuery` `locations(double[]... locations)` Sets locations
`java.lang.String` `toString()`
`FilterQuery` `track(java.lang.String... track)` Sets track

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FilterQuery

    public FilterQuery()

Creates a new FilterQuery

#### FilterQuery

    public FilterQuery(long... follow)

Creates a new FilterQuery

Parameters:
  `follow` - Specifies the users, by ID, to receive public tweets from.

#### FilterQuery

    public FilterQuery(java.lang.String... track)

Creates a new FilterQuery

Parameters:
  `track` - Specifies keywords to track.
Since:
  Twitter4J 4.0.4

#### FilterQuery

    public FilterQuery(int count,
                       long... follow)

Creates a new FilterQuery

Parameters:
  `count` - Indicates the number of previous statuses to stream before transitioning to the live stream.
  `follow` - Specifies the users, by ID, to receive public tweets from.

#### FilterQuery

    public FilterQuery(int count,
                       long[] follow,
                       java.lang.String[] track)

Creates a new FilterQuery

Parameters:
  `count` - Indicates the number of previous statuses to stream before transitioning to the live stream.
  `follow` - Specifies the users, by ID, to receive public tweets from.
  `track` - Specifies keywords to track.

#### FilterQuery

    public FilterQuery(int count,
                       long[] follow,
                       java.lang.String[] track,
                       double[][] locations)

Creates a new FilterQuery

Parameters:
  `count` - Indicates the number of previous statuses to stream before transitioning to the live stream.
  `follow` - Specifies the users, by ID, to receive public tweets from.
  `track` - Specifies keywords to track.
  `locations` - Specifies the locations to track. 2D array

#### FilterQuery

    public FilterQuery(int count,
                       long[] follow,
                       java.lang.String[] track,
                       double[][] locations,
                       java.lang.String[] language)

Creates a new FilterQuery

Parameters:
  `count` - Indicates the number of previous statuses to stream before transitioning to the live stream.
  `follow` - Specifies the users, by ID, to receive public tweets from.
  `track` - Specifies keywords to track.
  `locations` - Specifies the locations to track. 2D array
  `language` - Specifies the tweets language of the stream

### Method Detail

#### count

    public FilterQuery count(int count)

Sets count

Parameters:
  `count` - Indicates the number of previous statuses to stream before transitioning to the live stream.
Returns:
  this instance

#### follow

    public FilterQuery follow(long... follow)

Sets follow

Parameters:
  `follow` - Specifies the users, by ID, to receive public tweets from.
Returns:
  this instance

#### track

    public FilterQuery track(java.lang.String... track)

Sets track

Parameters:
  `track` - Specifies keywords to track.
Returns:
  this instance

#### locations

    public FilterQuery locations(double[]... locations)

Sets locations

Parameters:
  `locations` - Specifies the locations to track. 2D array
Returns:
  this instance

#### language

    public FilterQuery language(java.lang.String... language)

Sets language

Parameters:
  `language` - Specifies languages to track.
Returns:
  this instance

#### filterLevel

    public FilterQuery filterLevel(java.lang.String filterLevel)

The filter level limits what tweets appear in the stream to those with a minimum filter_level attribute value.

Parameters:
  `filterLevel` - one of either none, low, or medium.
Returns:
  this instance

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`